summaryrefslogtreecommitdiff
path: root/patch-aosp
diff options
context:
space:
mode:
Diffstat (limited to 'patch-aosp')
-rwxr-xr-xpatch-aosp28
1 files changed, 28 insertions, 0 deletions
diff --git a/patch-aosp b/patch-aosp
new file mode 100755
index 0000000..e693613
--- /dev/null
+++ b/patch-aosp
@@ -0,0 +1,28 @@
+#!/bin/sh
+if ! [ -d bionic ]; then
+ echo "Please run this script from a fresh AOSP master checkout."
+ exit 1
+fi
+
+set -x
+set -e
+
+PATCHDIR=$(realpath $(dirname $0))
+
+#binutils-2.25aosp-gcc7-buildfix.patch
+cd bionic
+patch -p1 -b -z .bi64~ <$PATCHDIR/bionic-aarch64-host.patch
+cd ../build/core
+patch -p2 -b -z .bc64~ <$PATCHDIR/build_core-aarch64-host.patch
+cd ../make
+patch -p1 -b -z .bm64~ <$PATCHDIR/build_make-aarch64-host.patch
+cd ../soong
+patch -p1 -b -z .bs64~ <$PATCHDIR/build_soong-aarch64-host.patch
+cd ../tools
+patch -p2 -b -z .bt64~ <$PATCHDIR/build_tools-aarch64-host.patch
+#llvm-4.0-libc++-libc++abi-dependency.patch
+#ndk-diffs.patch
+#ndk-libc++-bionic.patch
+#ndkrepo-aarch64-host.patch
+cd ../../prebuilts/build-tools
+patch -p1 -b -z .pb64~ <$PATCHDIR/prebuilts_build-tools-aarch64-host.patch